]> git.pld-linux.org Git - packages/rpm.git/blame - rpm.spec
- check-files cleanup
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
d0ee0933
JR
3# - make key infrastructure code fallback from keyutils to plain mode in case keyctl
4# returns -ENOSYS
9fb5ee9e 5# - add macros for some ppc, mipsel, alpha and sparc
a0c0c9ca 6#
c296fee0 7# - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
76005b82 8#
89427592 9# Conditional build:
01d7a578 10%bcond_with static # build static rpm+rpmi
0a1ccab0 11%bcond_without apidocs # don't generate documentation with doxygen
4af66a2c
JB
12%bcond_without python # don't build python bindings
13%bcond_without selinux # build without selinux support
0dc47449 14%bcond_without suggest_tags # build without Suggest tag (bootstrapping)
7f47af9c 15%bcond_with db61 # use DB 6.1 instead of 5.2
34befcc5 16%bcond_with neon # build with HTTP/WebDAV support (neon library)
6f6c7465 17%bcond_with sqlite # build with SQLite support
70df63f3 18%bcond_with system_lua # use system lua
a22a4387 19%bcond_without system_pcre # use system pcre
d0ee0933 20%bcond_with keyutils # build with keyutils support
89427592
JB
21# force_cc - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
22# force_cxx - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
23# force_cpp - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
858aa7d0 24#
858aa7d0 25
ba7bedbb
JR
26%if %{with sqlite}
27# Error: /lib64/librpmio-5.4.so: undefined symbol: sqlite3_enable_load_extension
28%define sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
29%endif
30
003a039e 31# versions of required libraries
7f47af9c
JB
32%if %{with db61}
33%define reqdb_pkg db6.1
34%define reqdb_ver 6.1
35%define reqdb_pkgver 6.1.19
5f3f5bd6 36%else
bf728d07 37%define reqdb_pkg db5.2
cf169f7c
JR
38%define reqdb_ver 5.2
39%define reqdb_pkgver 5.2.36.0-4
5f3f5bd6 40%endif
ec44785a 41%define reqpopt_ver 1.15
7f11791f 42%define beecrypt_ver 2:4.2.0
70f8787d 43%define sover 5.4
fc60c9f3 44
e5f02e49 45Summary: RPM Package Manager
4ea2ed33
ER
46Summary(de.UTF-8): RPM Packet-Manager
47Summary(es.UTF-8): Gestor de paquetes RPM
48Summary(pl.UTF-8): Aplikacja do zarządzania pakietami RPM
49Summary(pt_BR.UTF-8): Gerenciador de pacotes RPM
50Summary(ru.UTF-8): Менеджер пакетов от RPM
51Summary(uk.UTF-8): Менеджер пакетів від RPM
76214164 52Name: rpm
b5280b8b 53Version: 5.4.15
0004e9b0 54Release: 7
4e2db228 55License: LGPL v2.1
76214164 56Group: Base
b5280b8b 57# http://rpm5.org/files/rpm/rpm-5.4/rpm-5.4.15-0.20140824.src.rpm
afb55538 58Source0: %{name}-%{version}.tar.gz
b5280b8b 59# Source0-md5: 4067f83ca8b5bf1a21e443c0cff3efa0
d38aed81
JR
60Source100: cpu-os-macros.tar.gz
61# Source100-md5: 928034a5bdceb398881bc14b5f29973b
ff7bc1e6 62Source1: %{name}.groups
08697680 63Source2: macros.pld.in
ff7bc1e6 64Source3: %{name}-install-tree
80b8a1f9 65Source4: %{name}-find-spec-bcond
cf709a39 66Source5: %{name}-hrmib-cache
80b8a1f9
JB
67Source6: %{name}-groups-po.awk
68Source7: %{name}-compress-doc
0bf34f68
JR
69Source8: %{name}-php-provides
70Source9: %{name}-php-requires
71Source10: %{name}.sysinfo
72Source11: perl.prov
73Source12: %{name}-user_group.sh
74Source13: %{name}.sysconfig
75Source14: %{name}-java-requires
a4b7ef27 76# http://svn.pld-linux.org/banner.sh/
0bf34f68
JR
77Source15: banner.sh
78Source16: ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
79# Source16-md5: 08b29584dd349aac9caa7610131a0a88
80Source17: %{name}-mimetypedeps
81Source18: macros.local
f09b01ac
ER
82Source19: %{name}.noautocompressdoc
83Source20: %{name}.noautoprov
84Source21: %{name}.noautoprovfiles
85Source22: %{name}.noautoreq
f09b01ac 86Source24: %{name}.noautoreqfiles
0bf34f68 87Source25: %{name}-php-requires.php
f09b01ac 88Source26: %{name}db_checkversion.c
b1541d4c 89Source27: macros.lang
f09b01ac 90Source28: %{name}db_reset.c
14138aba 91Source29: dbupgrade.sh
e2489d8e 92Source30: rubygems.rb
63194730 93Source31: gem_helper.rb
f05db907 94Patch0: %{name}-branch.patch
2f0ee4ec 95Patch1: %{name}-man_pl.patch
38e53563 96Patch2: %{name}-popt-aliases.patch
c0fe6b09 97Patch3: %{name}-nosetproctitle.patch
3465efba 98Patch4: %{name}-perl-macros.patch
c1768ce2 99Patch5: %{name}-perl-req-perlfile.patch
3c7590cc
JR
100Patch6: %{name}-scripts-closefds.patch
101Patch7: %{name}-php-macros.patch
102Patch8: %{name}-gettext-in-header.patch
044171ea 103Patch9: %{name}-lua.patch
9ee75c3c
JR
104Patch10: %{name}-php-deps.patch
105Patch11: %{name}-notsc.patch
106Patch12: %{name}-hack-norpmlibdep.patch
06405080 107Patch13: %{name}-dont-copy-descriptive-tags.patch
9ee75c3c
JR
108Patch14: %{name}-perl_req-INC_dirs.patch
109Patch15: %{name}-debuginfo.patch
110Patch16: vendor-pld.patch
111Patch17: %{name}-old-fileconflicts-behaviour.patch
112Patch18: %{name}-javadeps.patch
113Patch19: %{name}-truncate-cvslog.patch
114Patch20: %{name}-libtool-deps.patch
115Patch21: %{name}-mimetype.patch
116Patch22: %{name}-sparc64.patch
117Patch23: %{name}-gendiff.patch
118Patch24: openmp.patch
119Patch25: %{name}-URPM-build-fix.patch
9ee75c3c
JR
120Patch27: %{name}-helperEVR-noassert.patch
121Patch28: %{name}-unglobal.patch
122Patch29: %{name}-builddir-readlink.patch
123Patch30: %{name}-changelog_order_check_nonfatal.patch
124Patch31: %{name}-cleanbody.patch
125Patch32: %{name}-dirdeps-macro.patch
126Patch33: %{name}-installbeforeerase.patch
127Patch34: %{name}-libmagic-locale.patch
128Patch35: %{name}-namespace-compare.patch
129Patch36: %{name}-popt-coreutils.patch
130Patch37: %{name}-postun-nofail.patch
131Patch38: %{name}-silence-RPM_CHAR_TYPE.patch
132Patch39: %{name}-fix-missing-types-in-headers.patch
133Patch40: %{name}-fix--p-interpreter-and-empty-script.patch
134Patch41: %{name}-db_buffer_small.patch
135Patch42: %{name}-pattern_Release.patch
136Patch43: %{name}-fix-___build_pre-macro.patch
137Patch44: %{name}-missing-patch-file-fails-build.patch
138Patch45: %{name}-remove-misleading-missing-patch-message.patch
139Patch46: %{name}-file-magic-can-be-mixed-case.patch
0b0a7839 140Patch47: %{name}-query-always-noisy.patch
7f7a3f24 141Patch48: %{name}-verify-ghosts-broken-logic.patch
295c267a 142Patch49: %{name}-python-enable-compat-RPMSENSE.patch
d6a36788 143Patch50: %{name}-dont-treat-gstreamer-modules-as-font.patch
bba1059c 144Patch51: %{name}-gst-inspect-typo.patch
1fcc9b69 145Patch52: %{name}-null-term-ascii-digest.patch
70df63f3 146Patch53: %{name}-lua-enable-extra-libs.patch
330093fa 147Patch54: %{name}-fix-filedigests-verify.patch
9158f140 148Patch55: %{name}-disable-hmac-verify.patch
f09b01ac 149Patch56: %{name}-macros.patch
f7779567 150Patch57: %{name}-db5.2.patch
c4861085 151Patch58: %{name}-preserve-iterator.patch
b10643ac 152Patch60: %{name}-python-sitescriptdir.patch
a6170fd4 153Patch61: %{name}-clean-docdir.patch
108e9711 154Patch62: %{name}-DB_CONFIG.patch
fb11a0dd 155Patch63: %{name}-pythoneggs.patch
80e5119e 156Patch64: %{name}-fix-compress-doc.patch
94807250 157Patch65: %{name}-parseSpec-skip-empty-tags.patch
10526c23 158Patch66: %{name}-payload-use-hashed-inode.patch
4e2db228 159Patch67: %{name}-repackage-dont-force-max-compression.patch
4e2db228 160Patch70: python-%{name}sense-missingok.patch
497556c4 161Patch71: %{name}-changelog-encoding.patch
c065c1c1 162Patch72: %{name}-preserve-tag-type.patch
68dafc6c
ER
163Patch74: %{name}-fix-internal-lua-build.patch
164Patch75: %{name}-double_check_file_deps.patch
5666ceed 165Patch77: %{name}-lua-expat.patch
3a3e476f 166Patch78: %{name}-double_check_unpackaged_subdirs.patch
5131d1d1 167Patch79: %{name}-rpmspec.patch
6d1e99c9 168Patch80: %{name}-revert-gpg-argv-parsing.patch
9d486499 169Patch81: %{name}-perl-magic.patch
64b1e365 170Patch82: %{name}-5.4.15-use-DSA-sig.patch
10a92209 171Patch83: %{name}-ignore-missing-macro-files.patch
70f8787d
JR
172
173# Patches imported from Mandriva
174
175# status: ready to merge, it's already been merged on HEAD, so commiting it to rpm-5_4
176# would basically just mean backporting it..
f09b01ac 177Patch1000: %{name}-5.4.4-add-_specfile-macro.patch
70f8787d
JR
178# status: needs to be cleaned up and properly reviewed together with rest
179# of the patches related to dependency generation
f09b01ac 180Patch1001: %{name}-5.4.9-avoid-dependencies-on-self.patch
70f8787d 181# status: probably ready to merge
f09b01ac 182Patch1002: %{name}-5.4.4-pkgconfigdeps-check-path.patch
70f8787d 183# status: probably okay to merge, but discuss on rpm-devel first
f09b01ac 184Patch1003: %{name}-5.4.4-glob-wildcards-for-loading-macro-files.patch
70f8787d 185# status: needs to be discussed
f09b01ac 186Patch1004: %{name}-5.4.4-allow-installation-of-repackaged-rpms.patch
70f8787d 187# status: ready to merge
f09b01ac 188Patch1005: %{name}-5.4.8-dont-show-suggests-with-requires.patch
70f8787d 189# status: ready for merge
f09b01ac 190Patch1006: %{name}-5.4.9-strip-buildroot-away-from-duplicate-files-list.patch
70f8787d 191# status: probably okay to merge, but discuss on rpm-devel first
f09b01ac 192Patch1007: %{name}-5.4.10-duplicate_files_terminate_build.patch
70f8787d 193# status: same as above
f09b01ac 194Patch1008: %{name}-5.4.10-unpackaged_subdirs_terminate_build.patch
70f8787d
JR
195# mdvbz#64898
196# status: uncertain, might be okay to merge, discuss on rpm-devel first
f09b01ac 197Patch1009: %{name}-5.4.4-rpmbuild-withoutclean.patch
70f8787d
JR
198# no sense in having an additional dependency on 'pkgconfig' on all packages that
199# have a pkgconfig file, it's not needed for them to be made useful and anything
200# actuallly using pkgconfig for this purpose will pull it in as a dependency anyways...
201# status: might be okay to merge, but discuss on rpm-devel first
f09b01ac 202Patch1010: %{name}-5.4.4-drop-useless-auto-generated-pkgconfig-dependency.patch
70f8787d 203# status: ready for merge
f09b01ac 204Patch1011: %{name}-5.4.4-fix-rpmconstant-to-always-use-LC_CTYPE-C-for-case-conversion.patch
70f8787d
JR
205# $RPM_BUILD_DIR isn't necessarily the same as $PWD, it's %%{_builddir}, not
206# %%{_builddir}/%%{?buildsubdir}, messing up paths in debug packages created..
207# status: needs to be discussed and investigated a bit better..
f09b01ac 208Patch1012: %{name}-5.4.4-pass-_builddir-properly-to-find-debuginfo.patch
70f8787d 209# status: probably okay to merge, but discuss on rpm-devel first
f09b01ac 210Patch1013: %{name}-5.4.10-files-listed-twice-terminates-build.patch
70f8787d 211# status: probably okay to merge
f09b01ac 212Patch1014: %{name}-5.4.9-ruby1.9-fixes.patch
70f8787d 213# status: keep locally
f09b01ac 214Patch1015: %{name}-5.4.9-keep-loading-script-macros.patch
70f8787d 215# status: same as for other dep gen patches
f09b01ac 216Patch1016: %{name}-5.4.9-update-rpmfc-when-removing-dependencies-on-self.patch
70f8787d 217# status: idem
f09b01ac 218Patch1017: %{name}-5.4.9-rpmfc-extract-dependencies-for-all-files.patch
70f8787d 219# status: probably okay to merge
f09b01ac 220Patch1019: %{name}-5.4.5-python-export-spec-macros.patch
70f8787d 221# status: idem
f09b01ac 222Patch1020: %{name}-5.4.9-font-provides.patch
70f8787d 223# stauus: idem
f09b01ac 224Patch1021: %{name}-5.4.7-kmod-dependencies.patch
70f8787d 225# status: probably okay to merge, discuss on rpm-devel first
f09b01ac 226Patch1022: %{name}-5.4.5-skip-dependencies-for-character-devices.patch
70f8787d 227# status: probably okay to merge
f09b01ac 228Patch1024: %{name}-5.4.5-rpmfc-apply-python-coloring-from-magic.patch
70f8787d 229# status: probably okay to merge
f09b01ac 230Patch1026: %{name}-5.4.10-dont-try-generate-rpmfc-dependencies-from-doc-files.patch
70f8787d 231# status: ready
f09b01ac 232Patch1027: %{name}-5.4.7-fix-generation-of-ruby-abi-provides.patch
70f8787d
JR
233# crash reproducable with 'rpm -qa --triggers'
234# status: ready
f09b01ac 235Patch1028: %{name}-5.4.7-hdrfmt-fix-unitialized-argv-element.patch
70f8787d 236# status: same as for other dep gen patches
f09b01ac 237Patch1029: %{name}-5.4.7-dont-consider-trigger-dependencies-as-overlapping.patch
70f8787d 238# status: ready
f09b01ac 239Patch1030: %{name}-5.4.7-fix-minor-memleaks.patch
70f8787d 240# status: ready
f09b01ac 241Patch1031: %{name}-5.4.9-mire-fix-strings-lacking-null-terminator.patch
70f8787d 242# status: ready
f09b01ac 243Patch1032: %{name}-5.4.9-rpmpython-fix-input.patch
70f8787d 244# status: ready
f09b01ac 245Patch1033: %{name}-5.4.7-no-seqid_init-on-rdonly-database.patch
70f8787d 246# status: probably ready for merging
f09b01ac 247Patch1034: %{name}-5.4.9-avoid-double-slash-in-path-for-dirname-filetrigger-matching.patch
70f8787d 248# status: probably ready to merge, discuss on rpm-devel first
f09b01ac 249Patch1035: %{name}-5.4.9-fix-verify-segfault.patch
70f8787d
JR
250# Due to rpmdav/neon being written in a different fashion than other rpmio clients,
251# the inconsistent behaviour affects code elsewhere which expects consistent behaviour,
252# with the result being that when unable to download files, neon will save error
253# page as the target file.
254# status: should go upstream, but uncertain about "correct" fix, ie. this is
255# more of a workaround, while rewriting rpmdav code to behave consistently
256# would be "the right thing to do". Yet I'm not fully able to grasp all of the
257# code and don't want to spend more time just to get the API..
f09b01ac 258Patch1037: %{name}-5.4.10-fix-neon-saving-error-pages-as-target-file.patch
70f8787d
JR
259# As the transaction flags for ignoring arch & os are no longer used, there's
260# currently no way to ignore arch & os of packages anymore. This patch adds
261# support for doing this again by defining rpm variables and overriding
262# --ignorearch & --ignoreos to set these.
263# status: needs to be discussed upstream before thinking about merging
f09b01ac 264Patch1038: %{name}-5.4.10-support-ignore-arch-and-os-again.patch
9f9190ed 265# status: ready for merge
f09b01ac 266Patch1039: %{name}-5.4.4-fix-same-package-with-epoch-possible-to-upgrade.patch
e85b33bb 267# we want that patch too, a bit of builder infrastructure relies on NOSIGNATURES
f09b01ac 268Patch1040: %{name}-5.4.9-support-signatures-and-digest-disablers.patch
5555c3a0
JR
269# lack insight on actual functionality, which anyways seems broken, so let's
270# disable it to avoid errors from berkeley db..
271# status: keep locally
f09b01ac 272Patch1041: %{name}-5.4.9-disable-l10ndir.patch
dfd6cb49 273# status: ready for merge
f09b01ac 274Patch1042: %{name}-5.4.9-fix-rpm_qa-pattern.patch
221ad213
JR
275# warning: introduces memory leak
276Patch1043: %{name}-5.4.12-copy-Value-string.patch
7d3aa060 277Patch1044: %{name}-5.4.12-fix-rpmlua-print.patch
846d6870 278Patch1045: %{name}-5.4.12-fix-rpmpython-module-import-init.patch
6608973b 279Patch1046: %{name}-5.4.12-truncate-output-buffer-after-use.patch
a32fd84f 280Patch1047: %{name}-5.4.13-perl-bindings-do-not-use-xmalloc.patch
0004e9b0
ER
281# proyvind:
282# there's a rpmdbchk tool I wrote a while back, which might help you. although
283# the incidents it's able to deal with is rather limited ATM... it might help
284# you out, if not and you'll be able to solve yer problem, you could take a
285# stab at adding support for fixing your specific problem to the util ;)
286# https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-rpmdbchk.patch
287Patch1048: %{name}-5.4.14-rpmdbchk.patch
288# https://abf.io/openmandriva/rpm/raw/master/rpm-5.4.14-no-assert-abort-with-broken-headers.patch
289Patch1049: %{name}-5.4.14-no-assert-abort-with-broken-headers.patch
70f8787d 290
955f2725 291URL: http://rpm5.org/
cf169f7c 292BuildRequires: %{reqdb_pkg}-devel >= %{reqdb_pkgver}
6f6c7465
JR
293%if %{with sqlite}
294BuildRequires: sqlite3-devel
295%else
cf169f7c 296BuildRequires: %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
6f6c7465 297%endif
29855fc2 298BuildRequires: autoconf >= 2.63
644d8958 299BuildRequires: automake >= 1.4
87ef0d95 300BuildRequires: beecrypt-devel >= %{beecrypt_ver}
33be5db0 301BuildRequires: bzip2-devel >= 1.0.2-17
33be5db0 302BuildRequires: elfutils-devel >= 0.108
3e70c06e 303BuildRequires: gettext-tools >= 0.19.2
d0ee0933 304%{?with_keyutils:BuildRequires: keyutils-devel}
241257bf 305BuildRequires: libmagic-devel
6e115b23
JR
306%if %{with selinux}
307BuildRequires: libselinux-devel >= 2.1.0
6e115b23 308BuildRequires: libsemanage-devel >= 2.1.0
3acb62f3 309BuildRequires: libsepol-devel >= 2.1.0
6e115b23 310%endif
84cdee7a
JB
311# needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
312BuildRequires: libstdc++-devel
b60c74c3 313BuildRequires: libtool >= 1:1.4.2-9
33be5db0 314%if %{with neon}
fe861705 315BuildRequires: libxml2-devel
83d6a3fe 316BuildRequires: neon-devel >= 0.25.5
33be5db0 317%endif
95bd7348 318%{?with_system_lua:BuildRequires: lua52-devel >= 5.2.2}
127a0b3c 319BuildRequires: ossp-uuid-devel
7973b351 320BuildRequires: patch >= 2.2
1d49ffbc 321BuildRequires: popt-devel >= %{reqpopt_ver}
950eead3
ER
322%{?with_python:BuildRequires: python-devel >= 1:2.3}
323BuildRequires: python-modules >= 1:2.3
2a813afe 324%{?with_python:BuildRequires: rpm-pythonprov}
e56a10a9 325BuildRequires: tcl
77fcdbf7 326BuildRequires: xz-devel
3acb62f3 327BuildRequires: zlib-devel
5c2ab5c7
AM
328%if %{with apidocs}
329BuildRequires: doxygen
330BuildRequires: ghostscript
331BuildRequires: graphviz
332BuildRequires: tetex-pdftex
333%endif
a6e56ce4 334%if %{with static}
e6090a7b 335# Require static library only for static build
cf169f7c 336BuildRequires: %{reqdb_pkg}-static >= %{reqdb_pkgver}
87ef0d95 337BuildRequires: beecrypt-static >= %{beecrypt_ver}
33be5db0 338BuildRequires: bzip2-static >= 1.0.2-17
290c1c30 339BuildRequires: elfutils-static
10abbd40 340BuildRequires: glibc-static >= 2.2.94
241257bf 341BuildRequires: libmagic-static
6e115b23
JR
342%if %{with selinux}
343BuildRequires: libselinux-static >= 2.1.0
6e115b23 344BuildRequires: libsemanage-static >= 2.1.0
3acb62f3 345BuildRequires: libsepol-static >= 2.1.0
6e115b23 346%endif
003a039e 347BuildRequires: popt-static >= %{reqpopt_ver}
1d49ffbc 348BuildRequires: zlib-static
7a9d72ce 349%endif
d25ec6ea 350Requires(posttrans): coreutils
66edd895 351Requires: %{name}-base = %{version}-%{release}
b26a9709 352Requires: %{name}-lib = %{version}-%{release}
10abbd40
ER
353Requires: beecrypt >= %{beecrypt_ver}
354Requires: popt >= %{reqpopt_ver}
0229a8b9
AM
355Provides: rpm-db-ver = %{reqdb_ver}
356Obsoletes: rpm-getdeps
4adb7d05 357%{!?with_static:Obsoletes: rpm-utils-static}
874f4c9a 358Conflicts: glibc < 2.2.92
8ee1c72c
AM
359# db4.6 poldek needed
360Conflicts: poldek < 0.21-0.20070703.00.3
d268a169
AM
361# segfaults with lzma 0.42.2
362Conflicts: lzma-libs < 4.999.3
e4084afd 363Conflicts: util-vserver < 0.30.216-1.pre3034.7
1d49ffbc 364BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
6d82b332 365
4adb7d05 366%define _binary_payload w9.gzdio
6d82b332 367
4cd84746
JB
368# don't require very fresh rpm.macros to build
369%define __gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
950eead3 370%define find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
9f517079 371%define ix86 i386 i486 i586 i686 athlon pentium3 pentium4
80e9f34d 372%define ppc ppc ppc7400 ppc7450
9f517079 373%define x8664 amd64 ia32e x86_64
4cd84746 374
89427592 375# stabilize new build environment
f9ac32aa
AM
376%define __newcc %{?force_cc}%{!?force_cc:%{_target_cpu}-pld-linux-gcc}
377%define __newcxx %{?force_cxx}%{!?force_cxx:%{_target_cpu}-pld-linux-g++}
378%define __newcpp %{?force_cpp}%{!?force_cpp:%{_target_cpu}-pld-linux-gcc -E}
89427592 379
d755a548 380%define _rpmlibdir /usr/lib/rpm
950eead3 381%define _noautocompressdoc RPM-GPG-KEY
d755a548 382
ff7bc1e6 383%description
384RPM is a powerful package manager, which can be used to build,
385install, query, verify, update, and uninstall individual software
cf6faebc 386packages. A package consists of an archive of files, and package
fed73700 387information, including name, version, and description.
388
dd85fadc
JR
389%description -l de.UTF-8
390RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
fed73700 391Installation, Anfrage, Verifizierung, Aktualisierung und
392Uninstallation individueller Softwarepakete. Ein Paket besteht aus
393einem Archiv Dateien und Paketinformation, inklusive Name, Version und
313a4d1a 394Beschreibung.
395
dd85fadc 396%description -l es.UTF-8
313a4d1a 397RPM es un poderoso administrador de paquetes, que puede ser usado para
398construir, instalar, pesquisar, verificar, actualizar y desinstalar
399paquetes individuales de software. Un paquete consiste en un
dd85fadc
JR
400almacenaje de archivos, y información sobre el paquete, incluyendo
401nombre, versión y descripción.
402
403%description -l pl.UTF-8
404RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
405przebudowanie, instalację czy weryfikację dowolnego pakietu.
406Informacje dotyczące każdego pakietu, takie jak jego opis, lista
407plików wchodzących w skład pakietu, zależności od innych pakietów, są
408przechowywane w bazie danych i można je uzyskać za pomocą opcji
313a4d1a 409odpytywania programu rpm.
410
dd85fadc
JR
411%description -l pt_BR.UTF-8
412RPM é um poderoso gerenciador de pacotes, que pode ser usado para
313a4d1a 413construir, instalar, pesquisar, verificar, atualizar e desinstalar
414pacotes individuais de software. Um pacote consiste de um conjunto de
dd85fadc
JR
415arquivos e informações adicionais, incluindo nome, versão e descrição
416do pacote, permissões dos arquivos, etc.
417
418%description -l ru.UTF-8
419RPM - это мощный менеджер пакетов, который может быть использован для
420создания, инсталляции, запросов (query), проверки, обновления и
421удаления программных пакетов. Пакет состоит из файлового архива и
422служебной информации, включающей название, версию, описание и другие
423данные о пакете.
424
425%description -l uk.UTF-8
426RPM - це потужний менеджер пакетів, що може бути використаний для
427створення, інсталяції, запитів (query), перевірки, поновлення та
428видалення програмних пакетів. Пакет складається з файлового архіву та
429службової інформації, що містить назву, версію, опис та іншу
430інформацію про пакет.
7c6dc55f 431
66edd895
JB
432%package base
433Summary: RPM base package - scripts used by rpm packages themselves
4ea2ed33 434Summary(pl.UTF-8): Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
66edd895 435Group: Base
1d9ca0c1 436Requires: filesystem
950eead3 437Obsoletes: rpm-scripts
66edd895
JB
438Obsoletes: vserver-rpm
439
440%description base
441The RPM base package contains scripts used by rpm packages themselves.
442These include:
443- scripts for adding/removing groups and users needed for rpm
444 packages,
445- banner.sh to display %%banner messages from rpm scriptlets.
446
dd85fadc
JR
447%description base -l pl.UTF-8
448Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
66edd895 449Zawiera on:
dd85fadc
JR
450- skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
451- banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
66edd895 452
69131f1a
JB
453%package lib
454Summary: RPMs library
4ea2ed33 455Summary(pl.UTF-8): Biblioteki RPM-a
69131f1a 456Group: Libraries
cf169f7c 457Requires: %{reqdb_pkg} >= %{reqdb_pkgver}
6f6c7465
JR
458%if %{with sqlite}
459Requires: sqlite3 >= %{sqlite_build_version}
460%else
cf169f7c 461Requires: %{reqdb_pkg}-sql >= %{reqdb_pkgver}
6f6c7465 462%endif
3acb62f3 463Requires: beecrypt >= %{beecrypt_ver}
241257bf 464Requires: libmagic >= 1.15-2
6e115b23 465%{?with_selinux:Requires: libselinux >= 2.1.0}
69131f1a 466Requires: popt >= %{reqpopt_ver}
d1795eb0 467Obsoletes: rpm-libs
69131f1a
JB
468# avoid SEGV caused by mixed db versions
469Conflicts: poldek < 0.18.1-16
470
471%description lib
472RPMs library.
473
dd85fadc 474%description lib -l pl.UTF-8
69131f1a
JB
475Biblioteki RPM-a.
476
fed73700 477%package devel
3f2d796a 478Summary: Header files for rpm libraries
4ea2ed33
ER
479Summary(de.UTF-8): Header-Dateien für rpm Libraries
480Summary(es.UTF-8): Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
481Summary(pl.UTF-8): Pliki nagłówkowe bibliotek rpm
482Summary(pt_BR.UTF-8): Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
483Summary(ru.UTF-8): Хедеры и библиотеки для программ, работающих с rpm-пакетами
484Summary(uk.UTF-8): Хедери та бібліотеки для програм, що працюють з пакетами rpm
89f92de0 485Group: Development/Libraries
153e5706 486Requires: %{name}-lib = %{version}-%{release}
cf169f7c 487Requires: %{reqdb_pkg}-devel >= %{reqdb_pkgver}
87ef0d95 488Requires: beecrypt-devel >= %{beecrypt_ver}
fea3cb89 489Requires: bzip2-devel
5c583f90 490Requires: elfutils-devel
d0ee0933 491%{?with_keyutils:Requires: keyutils-devel}
241257bf 492Requires: libmagic-devel
c7b2d5f9
KK
493%if %{with selinux}
494Requires: libselinux-devel
495Requires: libsemanage-devel
496Requires: libsepol-devel
497%endif
a998ac11 498Requires: popt-devel >= %{reqpopt_ver}
fea3cb89 499Requires: zlib-devel
cf6faebc 500
501%description devel
3f2d796a
JB
502The RPM packaging system includes C libraries that make it easy to
503manipulate RPM packages and databases. They are intended to ease the
cf6faebc 504creation of graphical package managers and other tools that need
3f2d796a
JB
505intimate knowledge of RPM packages. This package contains header files
506for these libraries.
fed73700 507
dd85fadc
JR
508%description devel -l de.UTF-8
509Der RPM-Packensystem enthält eine C-Library, die macht es einfach
510RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
fed73700 511Vereinfachung des Schaffens grafischer Paket-Manager und anderer
313a4d1a 512Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
513
dd85fadc 514%description devel -l es.UTF-8
313a4d1a 515El sistema de empaquetado RPM incluye una biblioteca C que vuelve
dd85fadc
JR
516fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
517facilitar la creación de administradores gráficos de paquetes y otras
20f89981 518herramientas que necesiten un conocimiento profundo de paquetes RPM.
9e42d68a 519
dd85fadc
JR
520%description devel -l pl.UTF-8
521System RPM zawiera biblioteki C, które ułatwiają manipulowanie
522pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
523graficznych programów zarządzających pakietami oraz innych narzędzi,
524które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
525zawiera pliki nagłówkowe wspomnianych bibliotek.
526
527%description devel -l pt_BR.UTF-8
528O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
529a manipulação de pacotes e bases de dados RPM. Seu objetivo é
530facilitar a criação de gerenciadores gráficos de pacotes e outras
edacdf8f 531ferramentas que precisem de conhecimento profundo de pacotes RPM.
532
dd85fadc
JR
533%description devel -l ru.UTF-8
534Система управления пакетами RPM содержит библиотеку C, которая
535упрощает манипуляцию пакетами RPM и соответствующими базами данных.
536Эта библиотека предназначена для облегчения создания графических
537пакетных менеджеров и других утилит, которым необходимо работать с
538пакетами RPM.
7c6dc55f 539
dd85fadc
JR
540%description devel -l uk.UTF-8
541Система керування пакетами RPM містить бібліотеку C, котра спрощує
542роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
543призначена для полегшення створення графічних пакетних менеджерів та
544інших утиліт, що працюють з пакетами RPM.
7c6dc55f 545
fed73700 546%package static
9e42d68a 547Summary: RPM static libraries
4ea2ed33
ER
548Summary(de.UTF-8): RPMs statische Libraries
549Summary(pl.UTF-8): Biblioteki statyczne RPM-a
550Summary(pt_BR.UTF-8): Bibliotecas estáticas para o desenvolvimento de aplicações RPM
551Summary(ru.UTF-8): Статическая библиотека для программ, работающих с rpm-пакетами
552Summary(uk.UTF-8): Статична бібліотека для програм, що працюють з пакетами rpm
edacdf8f 553Group: Development/Libraries
153e5706 554Requires: %{name}-devel = %{version}-%{release}
cf169f7c 555Requires: %{reqdb_pkg}-static >= %{reqdb_pkgver}
87ef0d95 556Requires: beecrypt-static >= %{beecrypt_ver}
df76dbd9 557Requires: bzip2-static
ff03e01a 558Requires: elfutils-static
d0ee0933 559%{?with_keyutils:Requires: keyutils-static}
241257bf 560Requires: libmagic-static
c7b2d5f9
KK
561%if %{with selinux}
562Requires: libselinux-static
563Requires: libsemanage-static
564Requires: libsepol-static
565%endif
a998ac11 566Requires: popt-static >= %{reqpopt_ver}
df76dbd9 567Requires: zlib-static
edacdf8f 568
569%description static
20f89981 570RPM static libraries.
fed73700 571
dd85fadc 572%description static -l de.UTF-8
20f89981 573RPMs statische Libraries.
9e42d68a 574
dd85fadc 575%description static -l pl.UTF-8
0a7ae9bc 576Biblioteki statyczne RPM-a.
313a4d1a 577
dd85fadc
JR
578%description static -l pt_BR.UTF-8
579Bibliotecas estáticas para desenvolvimento.
edacdf8f 580
dd85fadc
JR
581%description static -l ru.UTF-8
582Система управления пакетами RPM содержит библиотеку C, которая
583упрощает манипуляцию пакетами RPM и соответствующими базами данных.
584Это статическая библиотека RPM.
7c6dc55f 585
dd85fadc
JR
586%description static -l uk.UTF-8
587Система керування пакетами RPM містить бібліотеку C, котра спрощує
588роботу з пакетами RPM та відповідними базами даних. Це статична
589бібліотека RPM.
7c6dc55f 590
fed73700 591%package utils
8482995c 592Summary: Additional utilities for managing RPM packages and database
4ea2ed33
ER
593Summary(de.UTF-8): Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
594Summary(pl.UTF-8): Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
edacdf8f 595Group: Applications/File
153e5706 596Requires: %{name} = %{version}-%{release}
a998ac11 597Requires: popt >= %{reqpopt_ver}
86b85368
AG
598%if %{with suggest_tags}
599Suggests: bzip2
600Suggests: gzip
86b85368 601%endif
695e60ad 602Conflicts: filesystem-debuginfo < 3.0-16
edacdf8f 603
604%description utils
8482995c 605Additional utilities for managing RPM packages and database.
fed73700 606
dd85fadc
JR
607%description utils -l de.UTF-8
608Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
9e42d68a 609
dd85fadc
JR
610%description utils -l pl.UTF-8
611Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
fed73700 612
92b3f576 613%package utils-perl
8482995c 614Summary: Additional utilities for managing RPM packages and database
4ea2ed33
ER
615Summary(de.UTF-8): Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
616Summary(pl.UTF-8): Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
92b3f576 617Group: Applications/File
153e5706 618Requires: %{name}-utils = %{version}-%{release}
92b3f576 619Requires: popt >= %{reqpopt_ver}
620
621%description utils-perl
8482995c 622Additional utilities for managing RPM packages and database.
92b3f576 623
dd85fadc
JR
624%description utils-perl -l de.UTF-8
625Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
92b3f576 626
dd85fadc
JR
627%description utils-perl -l pl.UTF-8
628Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
92b3f576 629
a00926bc
JB
630%package utils-static
631Summary: Static rpm utilities
4ea2ed33 632Summary(pl.UTF-8): Statyczne narzędzia rpm
a00926bc 633Group: Applications/System
153e5706 634Requires: %{name} = %{version}-%{release}
a00926bc
JB
635
636%description utils-static
637Static rpm utilities for repairing system in case something with
638shared libraries used by rpm become broken. Currently it contains rpmi
639binary, which can be used to install/upgrade/remove packages without
640using shared libraries (well, in fact with exception of NSS modules).
641
dd85fadc
JR
642%description utils-static -l pl.UTF-8
643Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
644związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
645Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
646uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
647(z wyjątkiem modułów NSS).
a00926bc 648
fed73700 649%package build
e191287c 650Summary: Scripts for building binary RPM packages
4ea2ed33
ER
651Summary(de.UTF-8): Scripts fürs Bauen binärer RPM-Pakete
652Summary(pl.UTF-8): Skrypty pomocnicze do budowania binarnych RPM-ów
653Summary(pt_BR.UTF-8): Scripts e programas executáveis usados para construir pacotes
654Summary(ru.UTF-8): Скрипты и утилиты, необходимые для сборки пакетов
655Summary(uk.UTF-8): Скрипти та утиліти, необхідні для побудови пакетів
e191287c 656Group: Applications/File
f15ca8ca
ER
657Requires(pretrans): coreutils
658Requires(pretrans): findutils
adde3998 659Requires: %{name}-build-macros >= 1.699
153e5706 660Requires: %{name}-utils = %{version}-%{release}
e191287c 661Requires: /bin/id
662Requires: awk
cfa7898a 663Requires: bzip2
e950a6d7 664Requires: chrpath >= 0.10-4
b6547e10 665Requires: cpio
e191287c 666Requires: diffutils
195f647c 667Requires: elfutils
583135b4 668Requires: file >= 4.17
e191287c 669Requires: fileutils
670Requires: findutils
950eead3
ER
671%ifarch athlon
672Requires: gcc >= 3.0.3
673%else
674Requires: gcc
675%endif
e191287c 676Requires: glibc-devel
677Requires: grep
678Requires: gzip
679Requires: make
680Requires: patch
adbd4815 681Requires: sed >= 4.0
e191287c 682Requires: sh-utils
adbd4815 683Requires: tar >= 1:1.22
e191287c 684Requires: textutils
3acb62f3 685Requires: which
adbd4815 686Requires: xz
ca3648b1 687Provides: rpmbuild(monoautodeps)
37ea389a 688Provides: rpmbuild(noauto) = 3
02d17bf9 689%ifarch %{x8664}
195f647c
JB
690Conflicts: automake < 1:1.7.9-2
691Conflicts: libtool < 2:1.5-13
692%endif
0096c5cd 693
e2025ad1 694%description build
58399c37 695Scripts for building binary RPM packages.
fed73700 696
dd85fadc
JR
697%description build -l de.UTF-8
698Scripts fürs Bauen binärer RPM-Pakete.
9e42d68a 699
dd85fadc
JR
700%description build -l pl.UTF-8
701Skrypty pomocnicze do budowania binarnych RPM-ów.
313a4d1a 702
dd85fadc
JR
703%description build -l pt_BR.UTF-8
704Este pacote contém scripts e programas executáveis que são usados para
cf6faebc 705construir pacotes usando o RPM.
e73478cd 706
dd85fadc
JR
707%description build -l ru.UTF-8
708Различные вспомогательные скрипты и исполняемые программы, которые
709используются для сборки RPM'ов.
7c6dc55f 710
dd85fadc
JR
711%description build -l uk.UTF-8
712Різноманітні допоміжні скрипти та утиліти, які використовуються для
713побудови RPM'ів.
7c6dc55f 714
8482995c
JB
715%package javaprov
716Summary: Additional utilities for checking Java provides/requires in RPM packages
717Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
718Group: Applications/File
719Requires: %{name} = %{version}-%{release}
720Requires: file
721Requires: findutils >= 1:4.2.26
722Requires: mktemp
723Requires: unzip
724
725%description javaprov
726Additional utilities for checking Java provides/requires in RPM
727packages.
728
729%description javaprov -l pl.UTF-8
730Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
731RPM.
732
69131f1a 733%package perlprov
8482995c 734Summary: Additional utilities for checking Perl provides/requires in RPM packages
4ea2ed33 735Summary(de.UTF-8): Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
8482995c 736Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
69131f1a
JB
737Group: Applications/File
738Requires: %{name} = %{version}-%{release}
b82853ee 739Requires: perl-Encode
69131f1a
JB
740Requires: perl-devel
741Requires: perl-modules
742
743%description perlprov
8482995c 744Additional utilities for checking Perl provides/requires in RPM
69131f1a
JB
745packages.
746
dd85fadc
JR
747%description perlprov -l de.UTF-8
748Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
69131f1a 749
dd85fadc 750%description perlprov -l pl.UTF-8
8482995c
JB
751Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
752pakietach RPM.
69131f1a
JB
753
754%package pythonprov
8482995c
JB
755Summary: Python macros, which simplifies creation of RPM packages with Python software
756Summary(pl.UTF-8): Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
69131f1a
JB
757Group: Applications/File
758Requires: %{name} = %{version}-%{release}
cd800b3c 759Requires: python
bdbae303 760Requires: python-distribute
3acb62f3 761Requires: python-modules
69131f1a
JB
762
763%description pythonprov
8482995c 764Python macros, which simplifies creation of RPM packages with Python
69131f1a
JB
765software.
766
dd85fadc 767%description pythonprov -l pl.UTF-8
8482995c 768Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
69131f1a
JB
769Pythonie.
770
771%package php-pearprov
8482995c
JB
772Summary: Additional utilities for checking PHP PEAR provides/requires in RPM packages
773Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
69131f1a
JB
774Group: Applications/File
775Requires: %{name} = %{version}-%{release}
632f1b5c 776Requires: sed >= 4.0
1b39d378 777Suggests: php-pear-PHP_CompatInfo
69131f1a
JB
778
779%description php-pearprov
8482995c 780Additional utilities for checking PHP PEAR provides/requires in RPM
69131f1a
JB
781packages.
782
dd85fadc 783%description php-pearprov -l pl.UTF-8
8482995c
JB
784Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
785pakietach RPM.
69131f1a 786
ec49e9fb
ER
787%package rubyprov
788Summary: Ruby tools, which simplify creation of RPM packages with Ruby software
789Summary(pl.UTF-8): Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Ruby
790Group: Applications/File
791Requires: %{name} = %{version}-%{release}
792Requires: ruby
793Requires: ruby-modules
b53b1f84 794Requires: ruby-rubygems
ec49e9fb
ER
795
796%description rubyprov
797Ruby tools, which simplifies creation of RPM packages with Ruby
798software.
799
800%description rubyprov -l pl.UTF-8
801Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
802Ruby.
803
69131f1a
JB
804%package -n python-rpm
805Summary: Python interface to RPM library
4ea2ed33
ER
806Summary(pl.UTF-8): Pythonowy interfejs do biblioteki RPM-a
807Summary(pt_BR.UTF-8): Módulo Python para aplicativos que manipulam pacotes RPM
69131f1a
JB
808Group: Development/Languages/Python
809Requires: %{name} = %{version}-%{release}
3acb62f3 810Requires: python
69131f1a
JB
811Obsoletes: rpm-python
812
813%description -n python-rpm
814The rpm-python package contains a module which permits applications
815written in the Python programming language to use the interface
816supplied by RPM (RPM Package Manager) libraries.
817
818This package should be installed if you want to develop Python
819programs that will manipulate RPM packages and databases.
820
dd85fadc
JR
821%description -n python-rpm -l pl.UTF-8
822Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
823Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
69131f1a 824
dd85fadc
JR
825Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
826Pythonie programy manipulujące pakietami i bazami danych rpm.
69131f1a 827
dd85fadc
JR
828%description -n python-rpm -l pt_BR.UTF-8
829O pacote rpm-python contém um módulo que permite que aplicações
69131f1a
JB
830escritas em Python utilizem a interface fornecida pelas bibliotecas
831RPM (RPM Package Manager).
832
dd85fadc 833Esse pacote deve ser instalado se você quiser desenvolver programas em
69131f1a
JB
834Python para manipular pacotes e bancos de dados RPM.
835
5c2ab5c7
AM
836%package apidocs
837Summary: RPM API documentation and guides
838Summary(pl.UTF-8): Documentacja API RPM-a i przewodniki
839Group: Documentation
d308de4c
ER
840%if "%{_rpmversion}" >= "5"
841BuildArch: noarch
842%endif
5c2ab5c7
AM
843
844%description apidocs
845Documentation for RPM API and guides in HTML format generated from rpm
846sources by doxygen.
847
848%description apidocs -l pl.UTF-8
849Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
850źrodeł RPM-a przez doxygen.
851
e2025ad1 852%prep
d38aed81 853%setup -q -n %{name}-%{version}%{?subver} -a100
317ef122 854#patch0 -p1
2f0ee4ec 855%patch1 -p1
4d5b8e4c 856%patch2 -p1
c0fe6b09 857%patch3 -p1
7a3b1f24
AM
858%patch4 -p1
859%patch5 -p1
3c7590cc 860%patch6 -p1
c1768ce2 861%patch7 -p1
7a3b1f24 862%patch8 -p1
3c7590cc 863%{?with_system_lua:%patch9 -p1}
9ee75c3c 864%patch10 -p1
686b0204
JR
865%ifnarch i386 i486
866# enable TSC for capable archs
9ee75c3c 867%patch11 -p1
3c7590cc 868%endif
9ee75c3c
JR
869%patch12 -p1
870%patch13 -p1
871%patch14 -p0
7033e976 872%patch15 -p1
9ee75c3c 873%patch16 -p1
3c7590cc
JR
874%patch17 -p1
875%patch18 -p1
876%patch19 -p1
877%patch20 -p1
878%patch21 -p1
9ee75c3c 879%ifarch sparc64
3c7590cc 880%patch22 -p1
9ee75c3c 881%endif
3c7590cc 882%patch23 -p1
3c7590cc 883%patch24 -p1
3c7590cc 884%patch25 -p1
24123ddd 885%patch27 -p1
3c7590cc
JR
886%patch28 -p1
887%patch29 -p1
888%patch30 -p1
889%patch31 -p1
890%patch32 -p1
891%patch33 -p1
950eead3 892%patch34 -p1
3c7590cc 893%patch35 -p1
148c9957 894%patch36 -p1
3c7590cc
JR
895%patch37 -p1
896%patch38 -p1
897%patch39 -p1
898%patch40 -p1
7f47af9c 899%{?with_db61:%patch41 -p1}
9ee75c3c 900%patch42 -p1
9f9190ed 901%patch43 -p1
1d20bd4e 902%patch44 -p1
e94735a5 903%patch45 -p1
7070b427 904%patch46 -p1
358bccd1 905%patch47 -p1
7f7a3f24 906%patch48 -p1
295c267a 907%patch49 -p1
d6a36788 908%patch50 -p1
bba1059c 909%patch51 -p1
1fcc9b69 910%patch52 -p0
70df63f3 911%patch53 -p1
330093fa 912%patch54 -p1
9158f140 913%patch55 -p1
267d7641 914%patch56 -p1
7f47af9c 915%{!?with_db61:%patch57 -p1}
c4861085 916%patch58 -p1
b10643ac 917%patch60 -p1
a6170fd4 918%patch61 -p1
108e9711 919%patch62 -p1
fb11a0dd 920%patch63 -p1
80e5119e 921%patch64 -p1
94807250 922%patch65 -p1
10526c23 923%patch66 -p1
2f067477 924%patch67 -p1
4cfbd61f 925%patch70 -p1
497556c4 926%patch71 -p1
c065c1c1 927%patch72 -p1
1af80494 928%patch74 -p1
900eb2ad 929%patch75 -p1
5666ceed 930%patch77 -p0
3a3e476f 931%patch78 -p1
5131d1d1 932%patch79 -p1
6d1e99c9 933%patch80 -p1
9d486499 934%patch81 -p0
64b1e365 935%patch82 -p1
765b7c41 936
70f8787d
JR
937%patch1000 -p1
938%patch1001 -p1
939%patch1002 -p1
940%patch1003 -p1
941%patch1004 -p1
942%patch1005 -p1
943%patch1006 -p1
944%patch1007 -p1
945%patch1008 -p1
946%patch1009 -p1
947%patch1010 -p1
948%patch1011 -p1
949%patch1012 -p1
950%patch1013 -p1
951%patch1014 -p1
952%patch1015 -p1
953%patch1016 -p1
954%patch1017 -p1
70f8787d
JR
955%patch1019 -p1
956%patch1020 -p1
957%patch1021 -p1
958%patch1022 -p1
70f8787d 959%patch1024 -p1
70f8787d
JR
960%patch1026 -p1
961%patch1027 -p1
962%patch1028 -p1
963%patch1029 -p1
964%patch1030 -p1
965%patch1031 -p1
966%patch1032 -p1
967%patch1033 -p1
968%patch1034 -p1
969%patch1035 -p1
85771a72 970%patch1037 -p1
70f8787d 971%patch1038 -p1
9f9190ed 972%patch1039 -p1
e85b33bb 973%patch1040 -p1
b5280b8b
JR
974# don't delete, may be usefull if jbj descides to enable this again
975#%patch1041 -p1
dfd6cb49 976%patch1042 -p1
221ad213 977%patch1043 -p1
7d3aa060 978%patch1044 -p1
846d6870 979%patch1045 -p1
6608973b 980%patch1046 -p1
a32fd84f 981%patch1047 -p1
0004e9b0
ER
982%patch1048 -p1
983%patch1049 -p1
70f8787d 984
10a92209
JR
985%patch83 -p1
986
70f8787d 987install %{SOURCE2} macros/pld.in
0bf34f68
JR
988install %{SOURCE8} scripts/php.prov.in
989install %{SOURCE9} scripts/php.req.in
990install %{SOURCE11} scripts/perl.prov.in
e2489d8e 991cp -p %{SOURCE30} scripts/rubygems.rb
63194730 992cp -p %{SOURCE31} scripts/gem_helper.rb
08697680 993
70f8787d 994%{__mv} -f scripts/perl.req{,.in}
633d1e9e 995
cd86db2e 996# generate Group translations to *.po
80b8a1f9 997awk -f %{SOURCE6} %{SOURCE1}
fefe9d30 998
91ee86a9 999install %{SOURCE26} tools/rpmdb_checkversion.c
8e8746c0 1000install %{SOURCE28} tools/rpmdb_reset.c
91ee86a9 1001
f012e16d 1002for extlib in beecrypt neon %{?with_system_pcre:pcre} popt; do
95bd7348
JR
1003 [ -d $extlib ] && %{__rm} -r $extlib
1004done
1005
87ef0d95 1006%build
ea816ea6 1007%{__libtoolize}
c0a9be8f 1008#%{__autopoint}
ceaaacee 1009%{__aclocal}
4cd84746 1010%{__autoheader}
7a9d72ce 1011%{__autoconf}
7a9d72ce 1012%{__automake}
7a9d72ce 1013
048d06f8
JR
1014# rpm checks for CPU type at runtime, but it looks better
1015sed -i \
1016 -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
1017 -e 's|@host_cpu@|%{_target_cpu}|' \
1018 -e 's|@host_os@|%{_target_os}|' \
3f84726d 1019 macros/macros.in
048d06f8 1020
d268a169 1021%{?with_system_lua:CPPFLAGS="-I/usr/include/lua51 %{rpmcppflags}"}
89427592 1022# pass CC and CXX too in case of building with some older configure macro
624f96ff 1023%configure \
f9ac32aa
AM
1024 CC="%{__newcc}" \
1025 CXX="%{__newcxx}" \
1026 CPP="%{__newcpp}" \
01d7a578 1027 WITH_PERL_VERSION=no \
bba1059c 1028 __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
3a3e476f 1029 --disable-silent-rules \
cd86db2e 1030 --enable-shared \
874f4c9a 1031 --enable-static \
5c2ab5c7 1032 %{!?with_apidocs:--without-apidocs} \
241257bf 1033 --with-beecrypt=external \
3a3e476f
JB
1034 --with-bugreport="http://bugs.pld-linux.org/" \
1035 --with-bzip2=external \
57256551
JR
1036 --with-db=external \
1037 --with-dbapi=db \
3a3e476f
JB
1038 --with-file=external \
1039 --with-keyutils=%{?with_keyutils:external}%{!?with_keyutils:no} \
1040 --with-libelf \
6a8612bc 1041 --with-lua=%{!?with_system_lua:internal}%{?with_system_lua:external} \
3a3e476f
JB
1042 --with-lzma=external \
1043 --with-neon=%{?with_neon:external}%{!?with_neon:no} \
523ac930 1044 --with-path-macros='%{_rpmlibdir}/macros:%{_rpmlibdir}/%%{_target}/macros:%{_rpmlibdir}/macros.d/pld:%{_rpmlibdir}/macros.build:%{_sysconfdir}/rpm/macros.*:%{_sysconfdir}/rpm/macros:%{_sysconfdir}/rpm/%%{_target}/macros:%{_sysconfdir}/rpm/macros.d/*.macros:~/etc/.rpmmacros:~/.rpmmacros' \
3a3e476f 1045 --without-path-versioned \
f012e16d 1046 --with-pcre=%{!?with_system_pcre:internal}%{?with_system_pcre:external} \
3a3e476f
JB
1047 --with-popt=external \
1048 %{?with_python:--with-python=%{py_ver} --with-python-lib-dir=%{py_sitedir}} \
1049 %{!?with_python:--without-python} \
1050 --with-selinux=%{!?with_selinux:no}%{?with_selinux:external} \
1051 --with-semanage=%{!?with_selinux:no}%{?with_selinux:external} \
1052 --with-sepol=%{!?with_selinux:no}%{?with_selinux:external} \
1053 --with-sqlite=%{?with_sqlite:yes}%{!?with_sqlite:no} \
127a0b3c 1054 --with-uuid=%{_libdir}:%{_includedir}/ossp-uuid \
3a3e476f
JB
1055 --with-vendor=pld \
1056 --with-xz=external \
1057 --with-zlib=external
cf6faebc 1058
25e974c7 1059%{__make} -j1 \
f9ac32aa
AM
1060 CC="%{__cc}" \
1061 CXX="%{__cxx}" \
241257bf 1062 CPP="%{__cpp}"
33be5db0 1063
5c2ab5c7
AM
1064%{?with_apidocs:%{__make} apidocs}
1065
fb95de52
JR
1066%{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
1067 -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
8e8746c0
JR
1068%{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
1069 -o tools/rpmdb_reset -ldb-%{reqdb_ver}
fb95de52
JR
1070
1071if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
1072 echo "Error linking rpmdb tools!"
1073 exit 1
1074fi
8e8746c0
JR
1075if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
1076 echo "Error linking rpmdb tools!"
1077 exit 1
1078fi
91ee86a9 1079
b064b8e6 1080%install
ff7bc1e6 1081rm -rf $RPM_BUILD_ROOT
e9eb00af 1082install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm} \
51081e43 1083 $RPM_BUILD_ROOT{/var/lib/banner,/var/cache/hrmib,/etc/pki/rpm-gpg}
54eb1770 1084
0bf34f68 1085install %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
76214164 1086
26a5bf70 1087%{__make} -j1 install \
241257bf
AM
1088 pkgconfigdir=%{_pkgconfigdir} \
1089 DESTDIR=$RPM_BUILD_ROOT
718426e1 1090
25ac75ae
AM
1091# install ARCH macros
1092install -d $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux
d38aed81 1093install cpu-os-macros/noarch-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros
25ac75ae
AM
1094
1095%ifarch %{ix86}
1096install -d $RPM_BUILD_ROOT%{_rpmlibdir}/{i386,i486,i586,i686,athlon,pentium3,pentium4}-linux
d38aed81
JR
1097install cpu-os-macros/athlon-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/athlon-linux/macros
1098install cpu-os-macros/i386-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/i386-linux/macros
1099install cpu-os-macros/i486-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/i486-linux/macros
1100install cpu-os-macros/i586-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/i586-linux/macros
1101install cpu-os-macros/i686-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/i686-linux/macros
1102install cpu-os-macros/pentium3-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/pentium3-linux/macros
1103install cpu-os-macros/pentium4-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/pentium4-linux/macros
25ac75ae
AM
1104%endif
1105
1106%ifarch %{x8664}
1107install -d $RPM_BUILD_ROOT%{_rpmlibdir}/{x86_64,ia32e,amd64}-linux
d38aed81
JR
1108install cpu-os-macros/x86_64-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/x86_64-linux/macros
1109install cpu-os-macros/ia32e-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/ia32e-linux/macros
1110install cpu-os-macros/amd64-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/amd64-linux/macros
25ac75ae
AM
1111%endif
1112
1113%ifarch %{ppc}
1114install -d $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux
d38aed81 1115install cpu-os-macros/ppc-linux/macros $RPM_BUILD_ROOT%{_rpmlibdir}/ppc-linux/macros
25ac75ae
AM
1116%endif
1117
2eb9303e 1118cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
ca076ee5 1119# first platform file entry can't contain regexps
2eb9303e 1120%{_target_cpu}-%{_target_vendor}-linux
caf453d4 1121
2d8ae03e 1122%ifarch x86_64
53fd58bc 1123x86_64-[^-]*-[Ll]inux(-gnu)?
9cfcb6c8 1124amd64-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1125%endif
2d8ae03e 1126%ifarch amd64
53fd58bc
AM
1127amd64-[^-]*-[Ll]inux(-gnu)?
1128x86_64-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1129%endif
2d8ae03e 1130%ifarch ia32e
53fd58bc
AM
1131ia32e-[^-]*-[Ll]inux(-gnu)?
1132x86_64-[^-]*-[Ll]inux(-gnu)?
2d8ae03e
AM
1133%endif
1134
06bd38df 1135%ifarch athlon %{x8664}
53fd58bc 1136athlon-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1137%endif
06bd38df 1138%ifarch pentium4 athlon %{x8664}
53fd58bc 1139pentium4-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1140%endif
06bd38df 1141%ifarch pentium3 pentium4 athlon %{x8664}
53fd58bc 1142pentium3-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1143%endif
06bd38df 1144%ifarch i686 pentium3 pentium4 athlon %{x8664}
53fd58bc 1145i686-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1146%endif
06bd38df 1147%ifarch i586 i686 pentium3 pentium4 athlon %{x8664}
53fd58bc 1148i586-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1149%endif
06bd38df 1150%ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664}
53fd58bc 1151i486-[^-]*-[Ll]inux(-gnu)?
2d8ae03e 1152%endif
06bd38df 1153%ifarch %{ix86} %{x8664}
53fd58bc 1154i386-[^-]*-[Ll]inux(-gnu)?
2d8ae03e
AM
1155%endif
1156
5074eba9 1157%ifarch alpha
53fd58bc 1158alpha-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1159%endif
1160
1161%ifarch ia64
53fd58bc 1162ia64-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1163%endif
1164
1165%ifarch ppc64
53fd58bc
AM
1166powerpc64-[^-]*-[Ll]inux(-gnu)?
1167ppc64-[^-]*-[Ll]inux(-gnu)?
5074eba9 1168%endif
950eead3 1169%ifarch %{ppc} ppc64
53fd58bc
AM
1170powerpc-[^-]*-[Ll]inux(-gnu)?
1171ppc-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1172%endif
1173
1174%ifarch s390x
53fd58bc 1175s390x-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1176%endif
1177%ifarch s390 s390x
53fd58bc 1178s390-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1179%endif
1180
1181%ifarch sparc64
53fd58bc
AM
1182sparc64-[^-]*-[Ll]inux(-gnu)?
1183sparcv8-[^-]*-[Ll]inux(-gnu)?
1184sparcv9-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1185%endif
1186%ifarch sparcv9
53fd58bc
AM
1187sparcv8-[^-]*-[Ll]inux(-gnu)?
1188sparcv9-[^-]*-[Ll]inux(-gnu)?
5074eba9
JB
1189%endif
1190%ifarch sparc sparcv9 sparc64
53fd58bc 1191sparc-[^-]*-[Ll]inux(-gnu)?
2d8ae03e
AM
1192%endif
1193
2eb9303e
ER
1194noarch-[^-]*-.*
1195EOF
2d8ae03e 1196
e5486255
ER
1197# Squash Extra Blank Lines
1198%{__sed} -i -e '/./,/^$/!d' $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
1199
3a3e476f
JB
1200%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
1201%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
1202%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl
1203%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
1204%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.a
1205%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/lib/liblua.la
1206%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-provides
1207%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/mono-find-requires
7cf857f2 1208
644d8958
JB
1209# not installed since 4.4.8 (-tools-perl subpackage)
1210install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}
1211
61f7e1b3 1212install %{SOURCE1} doc/manual/groups
d755a548 1213install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
80b8a1f9
JB
1214install %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
1215install %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
0bf34f68
JR
1216install %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
1217install %{SOURCE14} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
d755a548
JK
1218install scripts/find-php* $RPM_BUILD_ROOT%{_rpmlibdir}
1219install scripts/php.{prov,req} $RPM_BUILD_ROOT%{_rpmlibdir}
0bf34f68
JR
1220cp -p %{SOURCE25} $RPM_BUILD_ROOT%{_rpmlibdir}/php.req.php
1221install %{SOURCE17} $RPM_BUILD_ROOT%{_rpmlibdir}/mimetypedeps.sh
cf709a39 1222install %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
0bf34f68 1223install %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
e663e5ff 1224
0bf34f68 1225install %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
7c6dc55f 1226
950eead3
ER
1227install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
1228
0bf34f68 1229install %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
b1541d4c 1230install %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
0bf34f68
JR
1231install %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
1232install %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
1233install %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
1234install %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
0bf34f68 1235install %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
08697680 1236
950eead3
ER
1237touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
1238touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
0bf34f68 1239install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
950eead3
ER
1240touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
1241touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
1242touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
fbc0ff35 1243
91ee86a9 1244install tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/bin
345a6923 1245install tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/bin
14138aba 1246install %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/bin/dbupgrade.sh
91ee86a9 1247
9776a251
JR
1248# create macro loading wrappers for backward compatibility
1249for m in gstreamer java mono perl php python; do
b279f099 1250 echo "%%{load:%{_rpmlibdir}/macros.d/$m}" >$RPM_BUILD_ROOT%{_rpmlibdir}/macros.$m
9776a251
JR
1251done
1252
e1bd88ba
JB
1253# moved to rpm-build-macros 1.699
1254%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/macros.d/kernel
1255
f3fd387a 1256# for rpm -e|-U --repackage
a11e0e27
AM
1257install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
1258touch $RPM_BUILD_ROOT/var/lock/rpm/transaction
f3fd387a 1259
950eead3
ER
1260# move rpm to /bin
1261mv $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
1262# move essential libs to /lib (libs that /bin/rpm links to)
ece880e2 1263for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so librpmbuild-%{sover}.so librpmmisc-%{sover}.so librpmconstant-%{sover}.so; do
50dc9ac0
JK
1264 mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
1265 ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
c2673e18
AF
1266done
1267
950eead3
ER
1268# Bourne shell script vs ELF executable linked with rpm,rpmdb,rpmio
1269mv $RPM_BUILD_ROOT{%{_rpmlibdir},%{_bindir}}/rpm2cpio
1270
dae5e1a8 1271%if %{with python}
6f18cdb7
AF
1272%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
1273%py_comp $RPM_BUILD_ROOT%{py_sitedir}
1274
08697680 1275%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}
dae5e1a8 1276%endif
01d7a578 1277
01d7a578 1278# wrong location, not used anyway
08697680 1279%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
e86bfbff 1280# utils dropped in 5.4 -- their manuals
854562c1 1281%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/rpmgrep.1
e86bfbff
JR
1282# script obsoleted by /usr/lib/rpm/bin/dbconvert binary
1283%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/dbconvert.sh
01d7a578 1284
90b03dd6 1285%find_lang %{name}
cf6faebc 1286
08697680 1287%{__rm} -rf manual
a998ac11 1288cp -a doc/manual manual
08697680 1289%{__rm} -f manual/Makefile*
874f4c9a 1290
13eb5ebf 1291%clean
d7df46b8 1292rm -rf $RPM_BUILD_ROOT
76214164 1293
cc1a4992
ER
1294%pretrans
1295# this needs to be a dir
1296if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
c1097150 1297 umask 022
cc1a4992
ER
1298 mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
1299 mkdir %{_sysconfdir}/rpm/sysinfo
1300fi
1301
be4d3036 1302%posttrans
d25ec6ea 1303if [ -e /var/lib/rpm/Packages ] && \
6a934782 1304 ! %{_rpmlibdir}/bin/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
d25ec6ea 1305 if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
6a934782 1306 /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
8383afc3 1307 echo
e4dd6a34 1308 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
8383afc3
JR
1309 echo
1310 fi
3ca91ccd
JR
1311 echo
1312 echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
1313 echo 'you should ignore it and restart poldek'
1314 echo
3fc92bf7 1315 %{_rpmlibdir}/bin/dbupgrade.sh
be4d3036 1316fi
f7779567 1317
b7ee97ef
JR
1318%triggerpostun -- %{name} < 4.4.9-44
1319%{_rpmlibdir}/hrmib-cache
1320
ceaaacee
JB
1321%post lib -p /sbin/ldconfig
1322%postun lib -p /sbin/ldconfig
76214164 1323
37a5a2fc 1324%pretrans build
d755a548 1325find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
8f76a271 1326
3684d90f
JB
1327%files -f %{name}.lang
1328%defattr(644,root,root,755)
241257bf 1329%doc CHANGES CREDITS README pubkeys/JBJ-GPG-KEY manual/*
3684d90f 1330
3acb62f3
ER
1331%dir /etc/pki/rpm-gpg
1332/etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
54eb1770 1333
7a9d72ce 1334%attr(755,root,root) /bin/rpm
e73478cd 1335
66edd895 1336%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
b1541d4c 1337%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
950eead3 1338%dir %{_sysconfdir}/rpm/sysinfo
caf453d4 1339# these are ok to be replaced
950eead3 1340%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
caf453d4
AM
1341%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform
1342
09bb810c 1343%{_mandir}/man8/rpm.8*
feb1f12e 1344%lang(fr) %{_mandir}/fr/man8/rpm.8*
e2025ad1 1345%lang(ja) %{_mandir}/ja/man8/rpm.8*
ff7bc1e6 1346%lang(pl) %{_mandir}/pl/man8/rpm.8*
cf6faebc 1347%lang(ru) %{_mandir}/ru/man8/rpm.8*
740f105d 1348%lang(sk) %{_mandir}/sk/man8/rpm.8*
76214164 1349
e2025ad1 1350%dir /var/lib/rpm
74a997bd
JR
1351%dir /var/lib/rpm/log
1352%dir /var/lib/rpm/tmp
1353%config(noreplace) %verify(not md5 mtime size) /var/lib/rpm/DB_CONFIG
f3fd387a 1354%dir %attr(700,root,root) /var/spool/repackage
a11e0e27
AM
1355%dir /var/lock/rpm
1356/var/lock/rpm/transaction
4acac5de 1357
cf709a39
ER
1358# exported package NVRA (stamped with install tid)
1359# net-snmp hrSWInstalledName queries, bash-completions
1360%dir /var/cache/hrmib
1361
ec44785a 1362%{_rpmlibdir}/qf
d755a548
JK
1363%{_rpmlibdir}/rpmpopt*
1364%{_rpmlibdir}/macros
08697680
JR
1365%dir %{_rpmlibdir}/macros.d
1366%{_rpmlibdir}/macros.d/pld
9282ffe4 1367%{_rpmlibdir}/cpuinfo.yaml
e23edf35
JR
1368%{_rpmlibdir}/noarch-*
1369%ifarch %{ix86}
1370%{_rpmlibdir}/i?86*
1371%{_rpmlibdir}/pentium*
1372%{_rpmlibdir}/athlon*
1373%endif
1374%ifarch alpha
1375%{_rpmlibdir}/alpha*
1376%endif
1377%ifarch ia64
1378%{_rpmlibdir}/ia64*
1379%endif
1380%ifarch mips mipsel mips64 mips64el
1381%{_rpmlibdir}/mips*
1382%endif
1383%ifarch %{ppc}
1384%{_rpmlibdir}/ppc*
1385%endif
1386%ifarch sparc sparc64
1387%{_rpmlibdir}/sparc*
1388%endif
1389%ifarch %{x8664}
1390%{_rpmlibdir}/amd64*
1391%{_rpmlibdir}/ia32e*
1392%{_rpmlibdir}/x86_64*
1393%endif
3684d90f 1394
cf709a39
ER
1395%attr(755,root,root) %{_rpmlibdir}/hrmib-cache
1396
df50421f
JR
1397%dir %{_rpmlibdir}/bin
1398%attr(755,root,root) %{_rpmlibdir}/bin/dbconvert
14138aba 1399%attr(755,root,root) %{_rpmlibdir}/bin/dbupgrade.sh
91ee86a9 1400%attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_checkversion
345a6923 1401%attr(755,root,root) %{_rpmlibdir}/bin/rpmdb_reset
0004e9b0 1402%attr(755,root,root) %{_rpmlibdir}/bin/rpmdbchk
df50421f 1403
66edd895
JB
1404%files base
1405%defattr(644,root,root,755)
492a2bd4 1406%dir %{_sysconfdir}/rpm
66edd895
JB
1407%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1408%dir %{_rpmlibdir}
1409%attr(755,root,root) %{_bindir}/banner.sh
1410%attr(755,root,root) %{_rpmlibdir}/user_group.sh
1411%dir /var/lib/banner
1412
874f4c9a
MM
1413%files lib
1414%defattr(644,root,root,755)
950eead3
ER
1415%attr(755,root,root) /%{_lib}/librpm-%{sover}.so
1416%attr(755,root,root) /%{_lib}/librpmdb-%{sover}.so
1417%attr(755,root,root) /%{_lib}/librpmio-%{sover}.so
1418%attr(755,root,root) /%{_lib}/librpmbuild-%{sover}.so
a434679c 1419%attr(755,root,root) /%{_lib}/librpmmisc-%{sover}.so
ece880e2 1420%attr(755,root,root) /%{_lib}/librpmconstant-%{sover}.so
874f4c9a 1421
69131f1a
JB
1422%files devel
1423%defattr(644,root,root,755)
69131f1a
JB
1424%attr(755,root,root) %{_libdir}/librpm.so
1425%attr(755,root,root) %{_libdir}/librpm-%{sover}.so
950eead3
ER
1426%attr(755,root,root) %{_libdir}/librpmbuild.so
1427%attr(755,root,root) %{_libdir}/librpmbuild-%{sover}.so
02510ee8
AM
1428%attr(755,root,root) %{_libdir}/librpmconstant.so
1429%attr(755,root,root) %{_libdir}/librpmconstant-%{sover}.so
950eead3
ER
1430%attr(755,root,root) %{_libdir}/librpmdb.so
1431%attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
69131f1a
JB
1432%attr(755,root,root) %{_libdir}/librpmio.so
1433%attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
02510ee8
AM
1434%attr(755,root,root) %{_libdir}/librpmmisc.so
1435%attr(755,root,root) %{_libdir}/librpmmisc-%{sover}.so
950eead3
ER
1436%{_libdir}/librpm*.la
1437%{_includedir}/rpm
1438%{_pkgconfigdir}/*.pc
69131f1a
JB
1439
1440%files static
1441%defattr(644,root,root,755)
1442%{_libdir}/librpm*.a
1443
1444%files utils
1445%defattr(644,root,root,755)
69131f1a 1446%attr(755,root,root) %{_bindir}/rpm2cpio
25e974c7 1447%attr(755,root,root) %{_bindir}/rpmconstant
69131f1a 1448%attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
69131f1a 1449%attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
25e974c7 1450%attr(755,root,root) %{_rpmlibdir}/tgpg
df50421f
JR
1451%attr(755,root,root) %{_rpmlibdir}/bin/chroot
1452%attr(755,root,root) %{_rpmlibdir}/bin/cp
9282ffe4 1453%attr(755,root,root) %{_rpmlibdir}/bin/debugedit
df50421f
JR
1454%attr(755,root,root) %{_rpmlibdir}/bin/find
1455%attr(755,root,root) %{_rpmlibdir}/bin/mgo
9282ffe4
AF
1456%attr(755,root,root) %{_rpmlibdir}/bin/mtree
1457%attr(755,root,root) %{_rpmlibdir}/bin/rpmcache
1458%attr(755,root,root) %{_rpmlibdir}/bin/rpmcmp
1459%attr(755,root,root) %{_rpmlibdir}/bin/rpmdeps
1460%attr(755,root,root) %{_rpmlibdir}/bin/rpmdigest
6e115b23
JR
1461%if %{with selinux}
1462%attr(755,root,root) %{_rpmlibdir}/bin/semodule
1463%attr(755,root,root) %{_rpmlibdir}/bin/spooktool
1464%endif
70df63f3
JR
1465%if %{without system_lua}
1466%attr(755,root,root) %{_rpmlibdir}/bin/lua
1467%attr(755,root,root) %{_rpmlibdir}/bin/luac
1468%attr(755,root,root) %{_rpmlibdir}/bin/rpmlua
1469%attr(755,root,root) %{_rpmlibdir}/bin/rpmluac
1470%endif
d0ee0933 1471%{?with_keyutils:%attr(755,root,root) %{_rpmlibdir}/bin/rpmkey}
9282ffe4 1472%attr(755,root,root) %{_rpmlibdir}/bin/rpmrepo
69131f1a 1473%{_mandir}/man8/rpm2cpio.8*
ec44785a 1474%{_mandir}/man8/rpmconstant.8*
69131f1a 1475%{_mandir}/man8/rpmdeps.8*
c0a9be8f 1476%{_mandir}/man8/rpmmtree.8*
69131f1a 1477%lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
69131f1a
JB
1478%lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
1479%lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
69131f1a
JB
1480%lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
1481
1482%files utils-perl
1483%defattr(644,root,root,755)
1484%attr(755,root,root) %{_rpmlibdir}/rpmdiff*
69131f1a
JB
1485
1486%if %{with static}
1487%files utils-static
1488%defattr(644,root,root,755)
1489%attr(755,root,root) %{_bindir}/rpm[ieu]
1490%attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
1491%endif
1492
3684d90f 1493%files build
a45ae6d8 1494%defattr(644,root,root,755)
66edd895 1495%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
01d7a578
JB
1496%attr(755,root,root) %{_rpmlibdir}/brp-*
1497%attr(755,root,root) %{_rpmlibdir}/check-files
d755a548
JK
1498%attr(755,root,root) %{_rpmlibdir}/compress-doc
1499%attr(755,root,root) %{_rpmlibdir}/cross-build
d755a548 1500%attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
d755a548
JK
1501%attr(755,root,root) %{_rpmlibdir}/getpo.sh
1502%attr(755,root,root) %{_rpmlibdir}/install-build-tree
d755a548 1503%attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
01d7a578 1504%attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
01d7a578 1505%attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
c75b3936 1506%attr(755,root,root) %{_rpmlibdir}/mimetypedeps.sh
01d7a578
JB
1507# needs hacked pkg-config to return anything
1508%attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
df50421f
JR
1509%attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-autotest.pl
1510%attr(755,root,root) %{_rpmlibdir}/bin/api-sanity-checker.pl
ac8ac881 1511%{!?with_sqlite:%attr(755,root,root) %{_rpmlibdir}/bin/dbsql}
77fcdbf7
AF
1512%attr(755,root,root) %{_rpmlibdir}/bin/install-sh
1513%attr(755,root,root) %{_rpmlibdir}/bin/mkinstalldirs
df50421f 1514%attr(755,root,root) %{_rpmlibdir}/bin/pom2spec
5131d1d1 1515%attr(755,root,root) %{_rpmlibdir}/bin/rpmspec
df50421f
JR
1516%attr(755,root,root) %{_rpmlibdir}/bin/rpmspecdump
1517%attr(755,root,root) %{_rpmlibdir}/bin/sqlite3
1518%attr(755,root,root) %{_rpmlibdir}/bin/wget
ec44785a 1519%attr(755,root,root) %{_rpmlibdir}/vcheck
410dd742 1520# not used yet ... these six depend on perl
ec44785a 1521%attr(755,root,root) %{_rpmlibdir}/http.req
428645e9
JR
1522# we always used scripts provided by mono-devel, maybe move them here
1523#%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1524#%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
37e965e8 1525
70f8787d 1526%attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
37e965e8 1527# must be here for "Requires: rpm-*prov" to work
df50421f
JR
1528%{_rpmlibdir}/macros.d/cmake
1529%{_rpmlibdir}/macros.d/gstreamer
77fcdbf7
AF
1530%{_rpmlibdir}/macros.d/java
1531%{_rpmlibdir}/macros.d/libtool
1532%{_rpmlibdir}/macros.d/mono
1533%{_rpmlibdir}/macros.d/perl
1534%{_rpmlibdir}/macros.d/php
1535%{_rpmlibdir}/macros.d/pkgconfig
1536%{_rpmlibdir}/macros.d/python
3b644c29 1537%{_rpmlibdir}/macros.d/ruby
77fcdbf7 1538%{_rpmlibdir}/macros.d/selinux
df50421f 1539%{_rpmlibdir}/macros.d/tcl
77fcdbf7 1540%{_rpmlibdir}/macros.rpmbuild
9776a251
JR
1541# compat wrappers
1542%{_rpmlibdir}/macros.gstreamer
1543%{_rpmlibdir}/macros.java
1544%{_rpmlibdir}/macros.mono
1545%{_rpmlibdir}/macros.perl
1546%{_rpmlibdir}/macros.php
1547%{_rpmlibdir}/macros.python
77fcdbf7 1548
df50421f
JR
1549%attr(755,root,root) %{_rpmlibdir}/gstreamer.sh
1550%attr(755,root,root) %{_rpmlibdir}/kmod-deps.sh
df50421f 1551
874f4c9a
MM
1552%attr(755,root,root) %{_bindir}/gendiff
1553%attr(755,root,root) %{_bindir}/rpmbuild
ec44785a
BZ
1554
1555%dir %{_rpmlibdir}/helpers
1556%attr(755,root,root) %{_rpmlibdir}/helpers/makeshlibs
874f4c9a 1557
a00926bc 1558%{_mandir}/man1/gendiff.1*
874f4c9a 1559%{_mandir}/man8/rpmbuild.8*
fefe9d30
JB
1560%lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
1561%lang(pl) %{_mandir}/pl/man1/gendiff.1*
1562%lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
f3fe287f 1563
7d8492bb
JB
1564%files javaprov
1565%defattr(644,root,root,755)
1566%attr(755,root,root) %{_rpmlibdir}/java-find-requires
1567# needs jar (any jdk), jcf-dump (gcc-java) to work
1568%attr(755,root,root) %{_rpmlibdir}/javadeps.sh
1569
ec49e9fb
ER
1570%files rubyprov
1571%defattr(644,root,root,755)
1572%attr(755,root,root) %{_rpmlibdir}/gem_helper.rb
1573%attr(755,root,root) %{_rpmlibdir}/rubygems.rb
1574
89334051
AF
1575%files perlprov
1576%defattr(644,root,root,755)
d755a548 1577%attr(755,root,root) %{_rpmlibdir}/perl.*
ec44785a
BZ
1578%attr(755,root,root) %{_rpmlibdir}/osgideps.pl
1579%attr(755,root,root) %{_rpmlibdir}/perldeps.pl
9805fd6d 1580
80d3b868 1581%files pythonprov
d8fcb9b0 1582%defattr(644,root,root,755)
bdbae303 1583%attr(755,root,root) %{_rpmlibdir}/pythoneggs.py
25d296e1 1584%attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
09bb810c 1585
d36cb682
PG
1586%files php-pearprov
1587%defattr(644,root,root,755)
d755a548
JK
1588%attr(755,root,root) %{_rpmlibdir}/php*
1589%attr(755,root,root) %{_rpmlibdir}/find-php*
d36cb682 1590
50dc9ac0 1591%if %{with python}
cf6faebc 1592%files -n python-rpm
42a0025c 1593%defattr(644,root,root,755)
b33910fe 1594%dir %{py_sitedir}/rpm
6f18cdb7 1595%attr(755,root,root) %{py_sitedir}/rpm/*.so
8c99b39a 1596%{py_sitedir}/rpm/*.py[co]
50dc9ac0 1597%endif
5c2ab5c7
AM
1598
1599%if %{with apidocs}
1600%files apidocs
1601%defattr(644,root,root,755)
1602%doc apidocs
1603%endif
This page took 1.238596 seconds and 4 git commands to generate.